Package org.apache.lucene.util.packed

## Class PackedInts.FormatAndBits

- java.lang.Object
- - org.apache.lucene.util.packed.PackedInts.FormatAndBits

- Enclosing class:
    PackedInts

      public static class PackedInts.FormatAndBits
      extends Object

  Simple class that holds a format and a number of bits per value.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bitsPerValue` |
    `PackedInts.Format` | `format` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormatAndBits​(PackedInts.Format format, int bitsPerValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### format

          public final PackedInts.Format format

    - #### bitsPerValue

          public final int bitsPerValue

  - ### Constructor Detail

    - #### FormatAndBits

          public FormatAndBits​(PackedInts.Format format,
                               int bitsPerValue)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`